Subject: bug#30929: 26.0.91; Text drag and drop does not work

From: Alan Third <[email-masked]>
Date: Fri, 13 Apr 2018 19:33:34 +0100

On Thu, Apr 12, 2018 at 05:34:17PM +1200, Nick Helm wrote:
> On Wed, 11 Apr 2018 at 07:38:24 +1200, Alan Third wrote:
> 
> > On Mon, Apr 09, 2018 at 01:51:58PM +1200, Nick Helm wrote:
> 
> > This is probably a better idea, we pass the string, the type (from the
> > PB) and the mask to lisp, and then let ns-drag-n-drop sort it out.
> > Like you say, if an expert wants to do something different they can
> > then write their own function.
> >
> > So in C we just construct something like:
> >
> >     '(file
> >       (ns-drag-operation-copy
> >        ns-drag-operation-link)
> >       "filename")
> >
> > Are you wanting to give this a go? I’m happy to work on it if not.
> 
> Ok, I see what you mean. Yep, I can have a go at it.

I look forward to it.

BTW, there’s some code in the drag and drop stuff that sets
ns_input_file. You don’t need that, it’s not used for DnD and, in
fact, causes problems with other ways of opening files.

(More info in commit 292c09ff6db4bba1655bbb3160e859fef59ab34b and
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29121, which I now see
was raised by you. :) )
-- 
Alan Third